Name: scsh
Version: 0.6.6
Release: alt1
License: BSD-like, see COPYING
Group: Development/Other
Source: ftp://ftp.scsh.net/pub/scsh/scsh-%version.tar.gz
Url: http://www.scsh.net

Summary: Scheme shell
Summary(ru_RU.KOI8-R): Scheme Shell

# Automatically added by buildreq on Sun Nov 30 2003
BuildRequires: libelf-devel

%description
Scsh is a Scheme system designed for writing useful standalone Unix
programs and shell scripts---it spans a wide range of application,
from 'script' applications usually handled with perl or sh,
to more standard systems applications usually written in C.

%description -l ru_RU.KOI8-R
Scsh    Scheme,   
   Unix     --
       ,
  ,    sh  perl, 
  ,     C.

%prep
%setup

%build
./configure --prefix=%prefix --mandir=%_mandir --bindir=%_bindir --libdir=%_libdir --includedir=%_includedir
make

%install
mkdir -p %buildroot%_bindir
install -m 755 scsh/scsh %buildroot%_bindir

mkdir -p %buildroot%_mandir/man1
install -m 644 doc/scsh.man  %buildroot%_mandir/man1/scsh.1

mkdir -p %buildroot%_docdir/%name-%version
cp COPYING RELEASE INSTALL README %buildroot%_docdir/%name-%version
cp -R doc/* %buildroot%_docdir/%name-%version
# delete unneed files
rm %buildroot%_docdir/%name-%version/scsh.man
rm %buildroot%_docdir/%name-%version/src/*.tex
rm %buildroot%_docdir/%name-%version/src/*.dvi
rm %buildroot%_docdir/%name-%version/scsh-manual/*.tex
rm %buildroot%_docdir/%name-%version/scsh-manual/*.sty
rm %buildroot%_docdir/%name-%version/scsh-manual/Makefile
rm %buildroot%_docdir/%name-%version/scsh-manual/*.dvi
rm %buildroot%_docdir/%name-%version/scsh-paper/*.dvi
rm %buildroot%_docdir/%name-%version/scsh-paper/*.tex
rm %buildroot%_docdir/%name-%version/scsh-paper/*.sty
rm %buildroot%_docdir/%name-%version/scsh-paper/mitlogo.ps

mkdir -p %buildroot%_includedir
install -m 644 c/scheme48.h %buildroot%_includedir
install -m 644 c/write-barrier.h %buildroot%_includedir

mkdir -p %buildroot%_libdir/scsh/scsh
cp -R scheme/big %buildroot%_libdir/scsh
cp -R scheme/link %buildroot%_libdir/scsh
cp -R scheme/env %buildroot%_libdir/scsh
cp -R scheme/misc %buildroot%_libdir/scsh
cp -R scheme/rts %buildroot%_libdir/scsh
cp -R scheme/srfi %buildroot%_libdir/scsh
install -m 644 scsh/*.scm %buildroot%_libdir/scsh/scsh
install -m 644 scsh/odbc/*.scm %buildroot%_libdir/scsh/scsh
install -m 644 scsh/linux/*.scm %buildroot%_libdir/scsh/scsh
install -m 644 scsh/test/*.scm %buildroot%_libdir/scsh/scsh
install -m 644 scsh/lib/*.scm %buildroot%_libdir/scsh/scsh
install -m 644 scsh/rx/*.scm %buildroot%_libdir/scsh/scsh
install -m 755 scsh/libscsh.a %buildroot%_libdir/scsh
install -m 755 scsh/libscshvm.a %buildroot%_libdir/scsh
install -m 755 scsh/scsh.image %buildroot%_libdir/scsh
install -m 755 scshvm %buildroot%_libdir/scsh

%files
%doc %_docdir/%name-%version
%_bindir/*
%_libdir/*
%_includedir/*
%_mandir/man1/*

%changelog
* Sat Apr 03 2004 Ott Alex <ott@altlinux.ru> 0.6.6-alt1
- New main version

* Sun Nov 30 2003 Ott Alex <ott@altlinux.ru> 0.6.5-alt1
- New version

* Thu Sep 18 2003 Ott Alex <ott@altlinux.ru> 0.6.4-alt3
- fixing spec

* Mon Sep 15 2003 Ott Alex <ott@altlinux.ru> 0.6.4-alt2
- fixing spec

* Sun Apr 27 2003 Ott Alex <ott@altlinux.ru> 0.6.4-alt1
- New release

* Sat Feb 22 2003 Ott Alex <ott@altlinux.ru> 0.6.3-alt6
- rebuild package

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 0.6.3-alt5
- Fixing spec

* Thu Jan 16 2003 Ott Alex <ott@altlinux.ru> 0.6.3-alt3
- New version of scsh

* Mon Oct 14 2002 Ott Alex <ott@altlinux.ru> 0.6.2-alt2
- Fixing spec file

* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 0.6.2-alt1
- Initial build

